<?php
namespace Teknisa\PED\Services;


use Doctrine\ORM\EntityManager;
use Teknisa\PED\Factories\Ger02400CalendarioDeDiasNaoUteisFactory;

class Ger02400CalendarioDeDiasNaoUteisService {
    protected $environment;

    public function __construct($environment, Ger02400CalendarioDeDiasNaoUteisFactory $Ger02400CalendarioDeDiasNaoUteisFactory) {
        $this->environment = $environment;
        $this->Ger02400CalendarioDeDiasNaoUteisFactory = $Ger02400CalendarioDeDiasNaoUteisFactory;
    }

    public function adqPerFiliProd($dataSet){
        $adqPerFiliProd = array();
        foreach($dataSet[0]['CDPERIENTR'] as $element){
            array_push($adqPerFiliProd, $this->Ger02400CalendarioDeDiasNaoUteisFactory->adqPerFiliProd($dataSet[2][0], $element));
        }
        return $adqPerFiliProd;
    }
    
    public function adsRecorrente($dataSet, $adqPerFiliProd, $dtInicial, $nrMeses){
        $adsRecorrente = $this->Ger02400CalendarioDeDiasNaoUteisFactory->adsRecorrente($dataSet, $adqPerFiliProd, $dtInicial, $nrMeses);
        return $adsRecorrente;
    }
    
    public function adsCalcEntregas($dataSet, $adqPerFiliProd, $dtInicial, $nrMeses){
        $adsCalcEntregas = $this->Ger02400CalendarioDeDiasNaoUteisFactory->adsCalcEntregas($dataSet, $adqPerFiliProd, $dtInicial, $nrMeses);
        return $adsCalcEntregas;
    }
    
}